package cn.com.countrygarden.bi.main.dao.ck.satisfaction;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedControlProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   控制塔满意度-项目数据层
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
@org.apache.ibatis.annotations.Mapper
public interface SatisfiedControlProjectMapper extends Mapper<SatisfiedControlProject> {

    Long selectListDataToble(SatisfiedControlProject satisfiedControlProject);

    List<SatisfiedControlProject> queryPageList(SatisfiedControlProject satisfiedControlProject);

    List<SatisfiedControlProject> getrevenue(@Param("startTime") String startTime,@Param("endTime") String endTime);

    List<SatisfiedControlProject> listBiao();

    int insertPL(@Param("orListIn") List<SatisfiedControlProject> orListIn);

    List<String> niancha();

    int updateDelete();
}
